summaryrefslogtreecommitdiffstats
path: root/opal-ci/build-ubuntu-16.04.sh
diff options
context:
space:
mode:
authorStewart Smith <stewart@linux.vnet.ibm.com>2016-10-31 13:51:32 +1100
committerStewart Smith <stewart@linux.vnet.ibm.com>2016-11-02 15:27:40 +1100
commit99f146145c49e960af6e7da9391908cb30617227 (patch)
treeb3ede2e0beaa0eafae02d77270f07c846beef375 /opal-ci/build-ubuntu-16.04.sh
parented9c11c90d30484072a3d39d8b6660992699198e (diff)
downloadblackbird-skiboot-99f146145c49e960af6e7da9391908cb30617227.tar.gz
blackbird-skiboot-99f146145c49e960af6e7da9391908cb30617227.zip
travis-ci: use Docker containers for a matrix of platforms
This greatly simplifies the build process for travis, yet makes it more powerful and increases coverage without increasing wall time to test. Travis has the concept of a build matrix, and we want to ensure we continue to build succesfully on a variety of platforms and compiler combinations. We limit what we run on some OSs to conserve vital sanity. Signed-off-by: Stewart Smith <stewart@linux.vnet.ibm.com>
Diffstat (limited to 'opal-ci/build-ubuntu-16.04.sh')
-rwxr-xr-xopal-ci/build-ubuntu-16.04.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/opal-ci/build-ubuntu-16.04.sh b/opal-ci/build-ubuntu-16.04.sh
new file mode 100755
index 00000000..8352be87
--- /dev/null
+++ b/opal-ci/build-ubuntu-16.04.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+set -uo pipefail
+set -e
+
+MAKE_J=`grep -c processor /proc/cpuinfo`
+
+export CROSS=powerpc64le-linux-gnu-
+
+make -j${MAKE_J} all
+(cd opal-ci; ./build-qemu-powernv.sh)
+./opal-ci/fetch-debian-jessie-installer.sh
+make -j${MAKE_J} check
+(make clean; cd external/gard && CROSS= make -j${MAKE_J})
+(cd external/pflash; ./build-all-arch.sh)
+make clean
+SKIBOOT_GCOV=1 make -j${MAKE_J}
+SKIBOOT_GCOV=1 make -j${MAKE_J} check
+
+make clean
+rm -rf builddir
+mkdir builddir
+make SRC=`pwd` -f ../Makefile -C builddir -j${MAKE_J}
+make clean
OpenPOWER on IntegriCloud